"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LoggingPlugin = void 0;
exports.LoggingPlugin = {
    consumeStartHook: (args) => {
        console.log(`Event received: ${args.topic}`);
        return {
            consumeEndHook: () => {
                console.log(`Event consumed: ${args.topic}`);
            },
            consumeErrorHook: (err) => {
                console.log(`Consume error for ${args.topic}: ${err.message}`);
            },
        };
    },
    publishStartHook: (args) => {
        console.log(`Event publishing: ${args.topic}`);
        return {
            publishEndHook: () => {
                console.log(`Event published: ${args.topic}`);
            },
            publishErrorHook: (err) => {
                console.log(`Publish error for ${args.topic}: ${err.message}`);
            },
        };
    },
};
