/// <reference types="node" />
import { EventEmitter } from "events";
import { DocumentNode, GraphQLSchema } from "graphql";
import { EventBusSubscriberCb } from "./EventBus";
import { EventBusPlugin, Metadata } from "./VanillaEventBus";
export declare type MemoryEventBusConfig = {
    schema: GraphQLSchema;
    subscriber?: {
        cb: EventBusSubscriberCb;
        queries: DocumentNode;
    };
    plugins?: EventBusPlugin[];
    allowInvalidTopic?: boolean;
};
export declare class MemoryEventBus {
    config: MemoryEventBusConfig;
    eventEmitter: EventEmitter;
    private bus;
    constructor(config: MemoryEventBusConfig);
    init: () => Promise<void>;
    publish: (args: {
        topic: string;
        payload: {};
        metadata?: Partial<Metadata>;
    }) => Promise<void>;
    close: () => Promise<void>;
}
